LibreOffice: XFastDocumentHandler Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XFastDocumentHandler Interface Reference

receives notification of sax document events from a XFastParser More...

`import "XFastDocumentHandler.idl";`

Inheritance diagram for XFastDocumentHandler:

## Public Member Functions
void | startDocument () raises ( com::sun::star::xml::sax::SAXException )
| called by the parser when parsing of an XML stream is started.
void | endDocument () raises ( com::sun::star::xml::sax::SAXException )
| called by the parser after the last XML element of a stream is processed.
void | processingInstruction ([in] string aTarget, [in] string aData) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of a processing instruction.
void | setDocumentLocator ([in] com::sun::star::xml::sax::XLocator xLocator) raises ( com::sun::star::xml::sax::SAXException )
| receives an object for locating the origin of SAX document events.
Public Member Functions inherited from XFastContextHandler
void | startFastElement ([in] long Element, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an element .
void | startUnknownElement ([in] string Namespace, [in] string Name, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an unknown element .
void | endFastElement ([in] long Element) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of a known element.
void | endUnknownElement ([in] string Namespace, [in] string Name) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of a known element.
XFastContextHandler | createFastChildContext ([in] long Element, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of a known child element.
XFastContextHandler | createUnknownChildContext ([in] string Namespace, [in] string Name, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an unknown child element .
void | characters ([in] string aChars) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of character data.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

receives notification of sax document events from a XFastParser

## Member Function Documentation

## ◆ endDocument()

void endDocument | ( |  | ) |
raises | ( | com::sun::star::xml::sax::SAXException ) |  |  |

called by the parser after the last XML element of a stream is processed.

## ◆ processingInstruction()

void processingInstruction | ( | [in] string | aTarget,
|  | [in] string | aData )
raises | ( | com::sun::star::xml::sax::SAXException ) |  |  |

receives notification of a processing instruction.

Since
  LibreOffice 6.0

## ◆ setDocumentLocator()

void setDocumentLocator | ( | [in] com::sun::star::xml::sax::XLocator | xLocator | ) |
raises | ( | com::sun::star::xml::sax::SAXException ) |  |  |

receives an object for locating the origin of SAX document events.

## ◆ startDocument()

void startDocument | ( |  | ) |
raises | ( | com::sun::star::xml::sax::SAXException ) |  |  |

called by the parser when parsing of an XML stream is started.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/sax/XFastDocumentHandler.idl